package com.ss.android.ugc.aweme.ecommerce.anchor.api;

import X.0Gp;
import X.2XC;
import X.7aW;
import X.8qo;
import X.IUu;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.ugc.aweme.network.RetrofitFactory;

public final class AnchorApi {
    public static final AnchorApi LIZ = new AnchorApi();
    public static final 2XC LIZIZ = RetrofitFactory.LIZ().LIZ("https://oec-api.tiktokv.com/");

    public interface RealApi {
        static {
            Covode.recordClassIndex(68378);
        }

        @IUu(LIZ = "/api/v1/shop/item/product_info/get")
        0Gp<7aW> getAnchorProductInfoResponse(@8qo GetItemProductInfoRequest getItemProductInfoRequest);
    }

    static {
        Covode.recordClassIndex(68377);
    }

    public final 0Gp<7aW> LIZ(GetItemProductInfoRequest getItemProductInfoRequest) {
        M12.LIZ(getItemProductInfoRequest);
        return ((RealApi) LIZIZ.LIZ(RealApi.class)).getAnchorProductInfoResponse(getItemProductInfoRequest);
    }
}
